--AH:ScriptId=0B5AEF9D-FFB2-4D89-9254-D820B426A305

CREATE TABLE [AssetItemOldVersions]
(
	[AssetItemOldVersion_Id] INT IDENTITY(1, 1) NOT NULL,
	[AssetItem_Id] INT NOT NULL,
	[SHA256Hash_Bytes] BINARY(32) NOT NULL,
	[Deleted_Date] DATETIME NOT NULL,
	[DeletedBy_User_Name] USERNAME NOT NULL,
	[Modified_Date] DATETIME NOT NULL,
	[ModifiedBy_User_Name] USERNAME NULL,
	[AssetItem_Size] BIGINT NOT NULL,

	CONSTRAINT [PK__AssetItemOldVersions]
		PRIMARY KEY ([AssetItemOldVersion_Id]),

	CONSTRAINT [FK__AssetItemOldVersions__AssetItems]
		FOREIGN KEY ([AssetItem_Id])
		REFERENCES [AssetItems] ([AssetItem_Id])
		ON DELETE CASCADE
)
GO

CREATE INDEX [IX__AssetItemOldVersions__AssetItem_Id]
	ON [AssetItemOldVersions] ([AssetItem_Id])
