IF OBJECT_ID('[ProGetPackageVersions_Extended]') IS NOT NULL DROP VIEW [ProGetPackageVersions_Extended]
GO

CREATE VIEW [ProGetPackageVersions_Extended]
AS
	SELECT V.[ProGetPackage_Id],
	       P.[Package_Name],
		   P.[Group_Name],
	       V.[Version_Text],
		   V.[PackageHash_Bytes],
		   V.[PackageMetadata_Bytes],
		   V.[Published_Date],
		   V.[Package_Size],
		   V.[Download_Count],
		   V.[Cached_Indicator],
		   V.[Virtual_Indicator],
		   V.[Listed_Indicator]
	  FROM [ProGetPackageVersions] V
	       INNER JOIN [ProGetPackages] P
		           ON P.[ProGetPackage_Id] = V.[ProGetPackage_Id]

GO