--AH:ScriptId=c2478fec-aa74-4a1c-9591-882d4de62f80;2850
CREATE TABLE [BowerConnectors]
(
	[Feed_Id] INT NOT NULL,
	[Sequence_Number] INT NOT NULL,
	[Registry_Url] NVARCHAR(1000) NOT NULL,
	[Filter_Csv] NVARCHAR(1000) NULL,

	CONSTRAINT [FK__BowerConnectors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id]),

	CONSTRAINT [PK__BowerConnectors]
		PRIMARY KEY ([Feed_Id], [Sequence_Number]),

	CONSTRAINT [CK__BowerConnectors__Sequence_Number]
		CHECK ([Sequence_Number] > 0),

	CONSTRAINT [CK__BowerConnectors__Registry_Url]
		CHECK (LTRIM(RTRIM([Registry_Url])) <> ''),

	CONSTRAINT [CK__BowerConnectors__Filter_Csv]
		CHECK (LTRIM(RTRIM([Filter_Csv])) <> '')
)