EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'FeedReplications_GetReplications',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'FeedReplications',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all FeedReplication rows that are not drafts.'
GO

IF OBJECT_ID('[FeedReplications_GetReplications]') IS NOT NULL DROP PROCEDURE [FeedReplications_GetReplications]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [FeedReplications_GetReplications]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [FeedReplications]
	 WHERE [Draft_Indicator] = 'N'

END
GO

GRANT EXECUTE ON [FeedReplications_GetReplications] TO [ProGetUser_Role]
GO
	   

