EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ReplicationClients_GetClients',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ReplicationClients',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Returns all of the clients that have connected to this server for replication.'
GO

IF OBJECT_ID('[ReplicationClients_GetClients]') IS NOT NULL DROP PROCEDURE [ReplicationClients_GetClients]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ReplicationClients_GetClients]
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [ReplicationClients]

END
GO

GRANT EXECUTE ON [ReplicationClients_GetClients] TO [ProGetUser_Role]
GO
